UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Explorer
Explorer
282 Views
Registered: ‎11-05-2008

Error while running a script for UG947 (partial reconfiguration tutorial)

I am getting an error while running the run_pr.tcl script used un UG947 (partial reconfiguration tutorial).

The error is:

## foreach config [sort_configurations [get_implementations "impl pr.impl" &&]] {
## #Override directives if directive file is specified
## if {[info exists useDirectives]} {
## puts "#HD: Overriding directives for configuration $config"
## set_directives impl $config
## }
## implement $config
## }
error deleting "D:/work/led_shift_count_us/Implement/Config_shift_right_count_up_implement\command.log": permission denied
ERROR: file command failed.
file delete -force ./Implement/Config_shift_right_count_up_implement

while executing
"error $errMsg"
invoked from within
"if { [catch $command errMsg] && !$quiet} {
append errMsg "\nERROR: $commandName command failed.\n\t$command\n"
error $errMsg
}"
invoked from within
"if {[llength $log] > 0} {
if { [catch "$command > $log" errMsg] && !$quiet } {
puts "#HD: Command \'$commandName\' failed! Parsing $log..."
(procedure "command" line 41)
invoked from within
"command "file delete -force $resultDir""
(procedure "implement" line 63)
invoked from within
"implement $config"
("foreach" body line 7)
invoked from within
"foreach config [sort_configurations [get_implementations "impl pr.impl" &&]] {
#Override directives if directive file is specified
if {[info ex..."
(file "./Tcl_HD/run.tcl" line 12)

while executing
"source $tclDir/run.tcl"
(file "run_pr.tcl" line 72)

 

Has anyone got the same error?

Thanks,

Luca

0 Kudos